Overview
GET
/auth/meauthCurrent user
List me.
Auth: bearerAuth — calls run as the authenticated user.
Responses
200
user
- idstring
- emailstring
- namestring
- avatarUrlstring
- slugstring?
- publicProfileEnabledboolean
Whether the public profile card is visible at /public/users/:slug
- capabilitiesstring[]
Example
{
"id": "string",
"email": "string",
"name": "string",
"avatarUrl": "string",
"slug": "string",
"publicProfileEnabled": true,
"capabilities": [
"string"
]
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/auth/me" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/auth/me", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();